<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gatts__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gatts_t</compoundname>
    <includes local="no">cy_ble_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gatts__t_1a9028696de38b233fb4c57b469833003b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_gatts_t::serviceHandle</definition>
        <argsstring />
        <name>serviceHandle</name>
        <briefdescription>
<para>Service Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="107" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="107" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatts__t_1a74e2792dfae7127b0d20de8766de7e0f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_gatts_t::serviceChangedHandle</definition>
        <argsstring />
        <name>serviceChangedHandle</name>
        <briefdescription>
<para>Handle of the Service Changed Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="108" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="108" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatts__t_1a864ebe5586bdba469b3bbf35dfd34327" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_gatts_t::cccdHandle</definition>
        <argsstring />
        <name>cccdHandle</name>
        <briefdescription>
<para>Client Characteristic Configuration descriptor handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="109" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="109" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with Generic Attribute Service (GATTS) attribute handles. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="110" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="105" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="106" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gatts__t_1a864ebe5586bdba469b3bbf35dfd34327" virt="non-virtual"><scope>cy_stc_ble_gatts_t</scope><name>cccdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gatts__t_1a74e2792dfae7127b0d20de8766de7e0f" virt="non-virtual"><scope>cy_stc_ble_gatts_t</scope><name>serviceChangedHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gatts__t_1a9028696de38b233fb4c57b469833003b" virt="non-virtual"><scope>cy_stc_ble_gatts_t</scope><name>serviceHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>